<?php
session_start();
if ($_POST[submit]) {
 if ($_POST[otvet] == $_SESSION[summ]) {
  $_SESSION[message] = '<font color="blue">Ответ правильный!</font>';
  // Тут обработка поступившего сообщения из поля text
 }
 else {
  $_SESSION[message] = '<font color="red">Дан неверный ответ!</font>';
 }
header("Location: 1.php");    //сбрасываем отправленное
exit();
}
?>
<?php
$a = rand(10,50);
$b = rand(1,10);
$_SESSION[summ] = $a + $b;
echo "<b>$_SESSION[message]</b>";
unset($_SESSION[message]);
?>

<form method="Post" action="1.php">
 <table border="0">
  <tr>
   <td>Текст: </td>
   <td><input type="text" name="text"></td>
  </tr>
  <tr>
   <td><?php echo "$a + $b = "; ?></td>
   <td><input type="text" name="otvet"></td>
  </tr>
  <tr>
   <td colspan="2"><input type="submit" name="submit" value="Отправить"></td>
  </tr>
 </table>
</form>
